'use client';

import React from 'react';
import {
  Root,
  Header,
} from './styles';
import {
  TaskMeProvider
} from 'app/hooks';

// export const metadata = {
//   title: 'Create Next App',
//   description: 'Generated by create next app',
// };

function HeaderComponent() {
  return (
    <Header>
      <Header.Container>
        <div style={{ width: '1000px', padding: '20px' }}>
          <Header.Logo />
        </div>
      </Header.Container>
      <Header.Separator />
    </Header>
  );
}

export default function RootLayout({ children }) {
  return (
    <html lang="en" style={{ width: '100%', height: '100%' }}>
      <body style={{ width: '100%', height: '100%', margin: '0px' }}>
        <TaskMeProvider>
          <Root>
            <HeaderComponent />
            <Root.Container>
              {/* <Root.Container.Mask /> */}
              {children}
            </Root.Container>
          </Root>
        </TaskMeProvider>
      </body>
    </html>
  );
}
